# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.
# Blacksite modifications are documented in PATCH.md.

[package]
edition = "2021"
name = "ron-edit"
version = "0.2.0"
description = "ron parser preserving all syntax information"
documentation = "https://docs.rs/ron-edit"
readme = "README.md"
keywords = ["parser"]
categories = ["encoding"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/ModProg/ron-edit"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[dependencies.const_format]
version = "0.2.30"

[dependencies.derive_more]
version = "0.99.17"

[dependencies.macro_rules_attribute]
version = "0.1.3"

[dependencies.nom]
version = "7.1.3"

[dependencies.unicode-ident]
version = "1.0.8"

[dev-dependencies.include_dir]
version = "0.7.3"

[dev-dependencies.insta]
version = "1.28.0"
features = ["ron"]

[dev-dependencies.ron]
version = "0.8.0"

[dev-dependencies.serde]
version = "1.0.154"
features = ["derive"]
